Subject: bug#27973: 26.0.50; Feature Request - OSX - Transparent Titlebars

From: James Nguyen <[email-masked]>
Date: Sat, 05 Aug 2017 17:19:46 -0700

Alan Third <[email-masked]> writes:

Hi Alan,

Here's a comparison.

https://www.dropbox.com/s/i4xw5mq82f5g3wc/Screenshot%202017-08-05%2017.16.20.png?dl=0

The title bar (that holds the red/yellow/green buttons) is the same
color as the rest of the window. Normally it is silver.

> On Sat, Aug 05, 2017 at 10:26:37AM -0700, James Nguyen wrote:
>> Wondering if we can support transparent titlebars in the OSX build of
>> Emacs?
>>
>> It looks something like this.
>>
>> https://cloud.githubusercontent.com/assets/3277054/24304360/623a5ae2-10b9-11e7-8442-f8705580374e.png
>
> Hi, I’m not sure what I’m looking at in this screenshot. Is it just
> that the titlebar will show the background or windows underneath?
>
> The documentation for titlebarAppearsTransparent
> (https://developer.apple.com/documentation/appkit/nswindow/1419167-titlebarappearstransparent?language=objc)
> says
>
>     It only makes sense to set this property to YES when
>     NSFullSizeContentViewWindowMask
>     is also set.
>
> which I believe merges the toolbar and titlebar. Is that what you’re
> thinking of?
> --
> Alan Third